<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" dir="ltr">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
				<meta name="keywords" content="Shrek 2,DreamWorks animated films,Shrek,2001 in film,2004,2004 Cannes Film Festival,2004 in film,2006,2007,Aardman Animations,Abercrombie &amp; Fitch" />
		<link rel="shortcut icon" href="/favicon.ico" />
		<link rel="search" type="application/opensearchdescription+xml" href="/w/opensearch_desc.php" title="Wikipedia (English)" />
		<link rel="copyright" href="http://www.gnu.org/copyleft/fdl.html" />
<link rel="alternate" type="application/rss+xml" title="Wikipedia RSS Feed" href="http://en.wikipedia.org/w/index.php?title=Special:Recentchanges&amp;feed=rss" />
<link rel="alternate" type="application/atom+xml" title="Wikipedia Atom Feed" href="http://en.wikipedia.org/w/index.php?title=Special:Recentchanges&amp;feed=atom" />
		<title>Shrek 2 - Wikipedia, the free encyclopedia</title>
		<style type="text/css" media="screen, projection">/*<![CDATA[*/
			@import "/skins-1.5/common/shared.css?101";
			@import "/skins-1.5/monobook/main.css?101";
		/*]]>*/</style>
		<link rel="stylesheet" type="text/css" media="print" href="/skins-1.5/common/commonPrint.css?101" />
		<!--[if lt IE 5.5000]><style type="text/css">@import "/skins-1.5/monobook/IE50Fixes.css?101";</style><![endif]-->
		<!--[if IE 5.5000]><style type="text/css">@import "/skins-1.5/monobook/IE55Fixes.css?101";</style><![endif]-->
		<!--[if IE 6]><style type="text/css">@import "/skins-1.5/monobook/IE60Fixes.css?101";</style><![endif]-->
		<!--[if IE 7]><style type="text/css">@import "/skins-1.5/monobook/IE70Fixes.css?101";</style><![endif]-->
		<!--[if lt IE 7]><script type="text/javascript" src="/skins-1.5/common/IEFixes.js?101"></script>
		<meta http-equiv="imagetoolbar" content="no" /><![endif]-->
		
		<script type= "text/javascript">/*<![CDATA[*/
var skin = "monobook";
var stylepath = "/skins-1.5";
var wgArticlePath = "/wiki/$1";
var wgScriptPath = "/w";
var wgScript = "/w/index.php";
var wgServer = "http://en.wikipedia.org";
var wgCanonicalNamespace = "";
var wgCanonicalSpecialPageName = false;
var wgNamespaceNumber = 0;
var wgPageName = "Shrek_2";
var wgTitle = "Shrek 2";
var wgAction = "view";
var wgRestrictionEdit = [];
var wgRestrictionMove = [];
var wgArticleId = "525314";
var wgIsArticle = true;
var wgUserName = null;
var wgUserGroups = null;
var wgUserLanguage = "en";
var wgContentLanguage = "en";
var wgBreakFrames = false;
var wgCurRevisionId = "173438503";
/*]]>*/</script>
                
		<script type="text/javascript" src="/skins-1.5/common/wikibits.js?101"><!-- wikibits js --></script>
		<script type="text/javascript" src="/w/index.php?title=-&amp;action=raw&amp;gen=js&amp;useskin=monobook"><!-- site js --></script>
		<style type="text/css">/*<![CDATA[*/
@import "/w/index.php?title=MediaWiki:Common.css&usemsgcache=yes&action=raw&ctype=text/css&smaxage=2678400";
@import "/w/index.php?title=MediaWiki:Monobook.css&usemsgcache=yes&action=raw&ctype=text/css&smaxage=2678400";
@import "/w/index.php?title=-&action=raw&gen=css&maxage=2678400";
/*]]>*/</style>
		<!-- Head Scripts -->
		<script type="text/javascript" src="/skins-1.5/common/ajax.js?101"></script>
	</head>
<body  class="mediawiki ns-0 ltr page-Shrek_2">
	<div id="globalWrapper">
		<div id="column-content">
	<div id="content">
		<a name="top" id="top"></a>
		<div id="siteNotice"><script type="text/javascript">
var wgNotice = "";
var wgNoticeLocal = "";
var wgNoticeLang = "en";
var wgNoticeProject = "wikipedia";
</script>
<script type="text/javascript" src="http://meta.wikimedia.org/w/index.php?title=Special:NoticeLoader&amp;action=raw"></script>
<script type="text/javascript" src="/w/index.php?title=Special:NoticeLocal/anon&amp;action=raw"></script>
<script type="text/javascript">
if (wgNotice != "") {
  document.writeln(wgNotice);
}
if (wgNoticeLocal != "") {
  document.writeln(wgNoticeLocal);
}
</script></div>		<h1 class="firstHeading">Shrek 2</h1>
		<div id="bodyContent">
			<h3 id="siteSub">From Wikipedia, the free encyclopedia</h3>
			<div id="contentSub"></div>
									<div id="jump-to-nav">Jump to: <a href="#column-one">navigation</a>, <a href="#searchInput">search</a></div>			<!-- start content -->
			<table class="infobox vevent" style="width:20em; text-align:left; font-size:90%;" cellspacing="2">
<tr>
<th class="summary" style="font-size: 110%; text-align: center;" colspan="2"><i>Shrek 2</i></th>
</tr>
<tr class="description">
<th>Directed by</th>
<td><a href="/wiki/Andrew_Adamson" title="Andrew Adamson">Andrew Adamson</a><br />
<a href="/wiki/Kelly_Asbury" title="Kelly Asbury">Kelly Asbury</a><br />
<a href="/wiki/Conrad_Vernon" title="Conrad Vernon">Conrad Vernon</a></td>
</tr>
<tr>
<th>Written&#160;by</th>
<td><b>Book</b><br />
&#160;&#160;<a href="/wiki/William_Steig" title="William Steig">William Steig</a><br />
<b>Story</b><br />
&#160;&#160;<a href="/wiki/Andrew_Adamson" title="Andrew Adamson">Andrew Adamson</a><br />
<b>Screenplay</b><br />
&#160;&#160;<a href="/wiki/Andrew_Adamson" title="Andrew Adamson">Andrew Adamson</a><br />
&#160;&#160;<a href="/w/index.php?title=Joe_Stillman&amp;action=edit" class="new" title="Joe Stillman">Joe Stillman</a><br />
&#160;&#160;<a href="/w/index.php?title=J._David_Stem&amp;action=edit" class="new" title="J. David Stem">J. David Stem</a><br />
&#160;&#160;<a href="/wiki/David_N._Weiss" title="David N. Weiss">David N. Weiss</a></td>
</tr>
<tr>
<th>Starring</th>
<td><a href="/wiki/Mike_Myers_%28actor%29" title="Mike Myers (actor)">Mike Myers</a><br />
<a href="/wiki/Eddie_Murphy" title="Eddie Murphy">Eddie Murphy</a><br />
<a href="/wiki/Cameron_Diaz" title="Cameron Diaz">Cameron Diaz</a><br />
<a href="/wiki/Julie_Andrews" title="Julie Andrews">Julie Andrews</a><br />
<a href="/wiki/Antonio_Banderas" title="Antonio Banderas">Antonio Banderas</a><br />
<a href="/wiki/John_Cleese" title="John Cleese">John Cleese</a><br />
<a href="/wiki/Rupert_Everett" title="Rupert Everett">Rupert Everett</a><br />
<a href="/wiki/Jennifer_Saunders" title="Jennifer Saunders">Jennifer Saunders</a></td>
</tr>
<tr>
<th>Music&#160;by</th>
<td><a href="/wiki/Harry_Gregson-Williams" title="Harry Gregson-Williams">Harry Gregson-Williams</a></td>
</tr>
<tr>
<th>Editing&#160;by</th>
<td><a href="/wiki/Michael_Andrews" title="Michael Andrews">Michael Andrews</a><br />
<a href="/w/index.php?title=Sim_Evan-Jones&amp;action=edit" class="new" title="Sim Evan-Jones">Sim Evan-Jones</a></td>
</tr>
<tr>
<th>Distributed&#160;by</th>
<td><b>USA</b><br />
<a href="/wiki/DreamWorks_SKG" title="DreamWorks SKG">DreamWorks SKG</a> (2004-present) <a href="/wiki/Paramount_Pictures" title="Paramount Pictures">Paramount Pictures</a> (2006-present)<br />
<b>Non-USA Theatrical</b><br />
<a href="/wiki/United_International_Pictures" title="United International Pictures">United International Pictures</a><br />
<b>Worldwide DVD/Video</b><br />
<a href="/wiki/Universal_Pictures" title="Universal Pictures">Universal Pictures</a> (2004-2006)/ Paramount Pictures (2006-present)</td>
</tr>
<tr>
<th>Release&#160;date(s)</th>
<td><a href="/wiki/May_19" title="May 19">May 19</a>, <a href="/wiki/2004" title="2004">2004</a></td>
</tr>
<tr>
<th>Running time</th>
<td>93 minutes</td>
</tr>
<tr>
<th>Language</th>
<td><a href="/wiki/English_language" title="English language">English</a></td>
</tr>
<tr>
<th>Budget</th>
<td><b>Production</b><br />
&#160;&#160;$75 million <a href="/wiki/United_States_dollar" title="United States dollar">USD</a><br />
<b>Marketing</b><br />
&#160;&#160;$50 million <a href="/wiki/United_States_dollar" title="United States dollar">USD</a></td>
</tr>
<tr>
<th>Gross revenue</th>
<td><b>Domestic</b><br />
$441,226,247<br />
<b>Worldwide</b><br />
$920,665,658 <sup class="noprint Template-Fact"><span title="This claim needs references to reliable sources&#160;since September 2007" style="white-space: nowrap;">[<i><a href="/wiki/Wikipedia:Citation_needed" title="Wikipedia:Citation needed">citation needed</a></i>]</span></sup></td>
</tr>
<tr>
<th>Preceded&#160;by</th>
<td><i><a href="/wiki/Shrek" title="Shrek">Shrek</a></i> (2001)</td>
</tr>
<tr>
<th>Followed&#160;by</th>
<td><i><a href="/wiki/Shrek_the_Third" title="Shrek the Third">Shrek the Third</a></i> (2007)</td>
</tr>
<tr>
<th style="font-size: 100%;" align="center" colspan="2"><b><a href="http://allmovie.com/cg/avg.dll?p=avg&amp;sql=1:286672" class="external text" title="http://allmovie.com/cg/avg.dll?p=avg&amp;sql=1:286672" rel="nofollow">All Movie Guide profile</a></b></th>
</tr>
<tr>
<th style="font-size: 100%;" align="center" colspan="2"><b><a href="http://www.imdb.com/title/tt0298148/" class="external text" title="http://www.imdb.com/title/tt0298148/" rel="nofollow">IMDb profile</a></b></th>
</tr>
</table>
<table style="" class="metadata plainlinks ambox ambox-style">
<tr>
<td class="ambox-image">
<div style="width:52px;"><a href="/wiki/Image:Broom_icon.svg" class="image" title="Broom icon.svg"><img alt="" src="http://upload.wikimedia.org/wikipedia/commons/thumb/2/2c/Broom_icon.svg/40px-Broom_icon.svg.png" width="40" height="40" border="0" /></a></div>
</td>
<td class="ambox-text"><b>The plot summary in this article or section is too long compared to the rest of the article.</b><br />
<small>Please <a href="http://en.wikipedia.org/w/index.php?title=Shrek_2&amp;action=edit" class="external text" title="http://en.wikipedia.org/w/index.php?title=Shrek_2&amp;action=edit" rel="nofollow">edit the article</a> to <a href="/wiki/Wikipedia:Manual_of_Style_%28writing_about_fiction%29" title="Wikipedia:Manual of Style (writing about fiction)">focus on discussing the work</a> rather than merely <a href="/wiki/Wikipedia:What_Wikipedia_is_not#Wikipedia_is_not_an_indiscriminate_collection_of_information" title="Wikipedia:What Wikipedia is not">reiterating the plot</a>.</small></td>
</tr>
</table>
<p><i><b>Shrek 2</b></i>, which was released in the <a href="/wiki/United_States" title="United States">United States</a> on <a href="/wiki/May_19" title="May 19">May 19</a>, <a href="/wiki/2004" title="2004">2004</a>, is the <a href="/wiki/2004_in_film" title="2004 in film">2004</a> <a href="/wiki/Sequel" title="Sequel">sequel</a> to the <a href="/wiki/2001_in_film" title="2001 in film">2001</a> <a href="/wiki/Computer_animation" title="Computer animation">computer-animated</a> <a href="/wiki/DreamWorks" title="DreamWorks">DreamWorks Pictures</a> <a href="/wiki/Film" title="Film">film</a> <i><a href="/wiki/Shrek" title="Shrek">Shrek</a></i>. In April 2004, the film was selected for competition at the <a href="/wiki/2004_Cannes_Film_Festival" title="2004 Cannes Film Festival">2004 Cannes Film Festival</a>. There are more <a href="/wiki/Shrek_%28series%29" title="Shrek (series)"><i>Shrek</i> movies</a> to follow, according to <a href="/wiki/Jeffrey_Katzenberg" title="Jeffrey Katzenberg">Jeffrey Katzenberg</a>: "We didn't have the guts to tell anybody when we started out, [but] we have two more chapters to tell. Not unlike <a href="/wiki/Peter_Jackson" title="Peter Jackson">Peter Jackson</a> did with <i><a href="/wiki/The_Lord_of_the_Rings_film_trilogy" title="The Lord of the Rings film trilogy">The Lord of the Rings</a></i>. The difference is they did have the guts to make all three of them 'back-to-back-to-back'".<sup id="_ref-0" class="reference"><a href="#_note-0" title="">[1]</a></sup></p>
<p><i>Shrek 2</i> scored the fourth-largest three-day opening weekend in US history,<sup id="_ref-1" class="reference"><a href="#_note-1" title="">[2]</a></sup> as well as the largest opening for an <a href="/wiki/Animation" title="Animation">animated</a> movie until May 18th, 2007, when it was eclipsed by its sequel <i><a href="/wiki/Shrek_the_Third" title="Shrek the Third">Shrek the Third</a>.</i><sup id="_ref-2" class="reference"><a href="#_note-2" title="">[3]</a></sup> As of 2006, it is the 3rd highest box office grossing film of all time in the United States.<sup id="_ref-3" class="reference"><a href="#_note-3" title="">[4]</a></sup> Worldwide, it is the <a href="/wiki/List_of_highest-grossing_films" title="List of highest-grossing films">ninth highest-grossing film of all time</a>.<sup id="_ref-4" class="reference"><a href="#_note-4" title="">[5]</a></sup> It went on to be the most successful film in 2004.<sup id="_ref-5" class="reference"><a href="#_note-5" title="">[6]</a></sup> The associated soundtrack reached the top ten of the <a href="/wiki/Billboard_200" title="Billboard 200">Billboard 200</a>. It is also the highest-grossing animated film of all time (seventh after adjusting for inflation <a href="http://www.boxofficemojo.com/alltime/adjusted.htm" class="external autonumber" title="http://www.boxofficemojo.com/alltime/adjusted.htm" rel="nofollow">[2]</a>).</p>
<table id="toc" class="toc" summary="Contents">
<tr>
<td>
<div id="toctitle">
<h2>Contents</h2>
</div>
<ul>
<li class="toclevel-1"><a href="#Plot"><span class="tocnumber">1</span> <span class="toctext">Plot</span></a></li>
<li class="toclevel-1"><a href="#Voice_cast"><span class="tocnumber">2</span> <span class="toctext">Voice cast</span></a></li>
<li class="toclevel-1"><a href="#Production"><span class="tocnumber">3</span> <span class="toctext">Production</span></a></li>
<li class="toclevel-1"><a href="#Release"><span class="tocnumber">4</span> <span class="toctext">Release</span></a></li>
<li class="toclevel-1"><a href="#TV_releases"><span class="tocnumber">5</span> <span class="toctext">TV releases</span></a></li>
<li class="toclevel-1"><a href="#Reaction"><span class="tocnumber">6</span> <span class="toctext">Reaction</span></a>
<ul>
<li class="toclevel-2"><a href="#Box_office_performance"><span class="tocnumber">6.1</span> <span class="toctext">Box office performance</span></a></li>
<li class="toclevel-2"><a href="#Critical_reception"><span class="tocnumber">6.2</span> <span class="toctext">Critical reception</span></a></li>
</ul>
</li>
<li class="toclevel-1"><a href="#Cultural_references"><span class="tocnumber">7</span> <span class="toctext">Cultural references</span></a>
<ul>
<li class="toclevel-2"><a href="#Places_and_names_in_Far_Far_Away"><span class="tocnumber">7.1</span> <span class="toctext">Places and names in Far Far Away</span></a></li>
<li class="toclevel-2"><a href="#Far_Far_Away_Idol_songs"><span class="tocnumber">7.2</span> <span class="toctext">Far Far Away Idol songs</span></a></li>
<li class="toclevel-2"><a href="#All_About_Fall_Tales"><span class="tocnumber">7.3</span> <span class="toctext">All About Fall Tales</span></a></li>
</ul>
</li>
<li class="toclevel-1"><a href="#See_also"><span class="tocnumber">8</span> <span class="toctext">See also</span></a></li>
<li class="toclevel-1"><a href="#References"><span class="tocnumber">9</span> <span class="toctext">References</span></a></li>
<li class="toclevel-1"><a href="#External_links"><span class="tocnumber">10</span> <span class="toctext">External links</span></a></li>
</ul>
</td>
</tr>
</table>
<script type="text/javascript">
//<![CDATA[
 if (window.showTocToggle) { var tocShowText = "show"; var tocHideText = "hide"; showTocToggle(); } 
//]]>
</script>
<p><a name="Plot" id="Plot"></a></p>
<h2><span class="editsection">[<a href="/w/index.php?title=Shrek_2&amp;action=edit&amp;section=1" title="Edit section: Plot">edit</a>]</span> <span class="mw-headline">Plot</span></h2>
<p>In the beginning of <i>Shrek 2,</i> Prince Charming is riding a noble stallion to Dragon's Keep while narrating the origin of Princess Fiona. He is going to Dragon's Keep to save her. When Prince Charming gets there, he finds out from the Big Bad Wolf that Fiona has gone on her honeymoon. Charming is astounded.</p>
<p>Shrek and Fiona are on their honeymoon at Hansel's Honeymoon Hideaway. But, when Shrek and Fiona return to the swamp, they find Donkey in Shrek's alligator-skin chair, singing to himself. Shrek tells Donkey he hasn't done a very good job taking care of the place. Fiona asks Donkey if he should be getting home to Dragon, but Donkey says she's been moody lately. Finally, Shrek tells Donkey that he is interrupting their night. Donkey leaves, but then returns, telling Shrek some knights are outside of his swamp. A man, who is visiting with the knights, reads a royal page carrying a scroll inviting Fiona and Shrek to Far Far Away for a royal ball celebrating their marriage and to give her 'prince charming' their blessing. The king and queen, King Harold and Queen Lilian, are the rulers of Far Far Away and Fiona's parents. Shrek and Fiona, along with Donkey, set off to Far Far Away.</p>
<p>The trip isn't easy for Donkey, who keeps annoying Shrek and Fiona asking if they are there yet. After much madness, they get to Far Far Away. Once they get to the castle, a whole crowd is waiting to see Fiona and her prince charming. Doves are released, but once Shrek, Fiona, and Donkey step out of the onion carriage, the crowd gasps, along with Fiona's parents. The king and queen are stunned at Fiona's choice of marriage. They all force smiles.</p>
<p>That night, they all sit down to dinner. Harold stares angrily at Shrek. Shrek does not know royalty. He eats the escargots with their shells still on, he eats the water from his finger-dipping bowl, thinking it's soup. Once dinner is served, Shrek and Harold begin yelling at each other. Fiona then storms off to her room, angrily. In her room, she meets her Fairy Godmother. Shrek then enters her room and Fairy Godmother is angry at Fiona's husband. She then gives Fiona her card. But Shrek takes it and says that they are already happy. Shrek then tells Fiona they are leaving. Donkey and Fiona don't want to leave. Shrek and Fiona get into a fight, which the king overhears. Lilian then tells Harold that it was her choice. Fairy Godmother then takes Harold into her carriage and tells him to get rid of Shrek so that her son, Prince Charming can marry her.</p>
<p>Harold then goes to the Poison Apple pub to find an ogre killer. The bartender, Cinderella's ugly Step Sister, Doris, tells him there is only one guy that can do that sort of job. Harold then hires Puss In Boots, the cat ogre killer. That night, Shrek reads Fiona's childhood diary and is sad at the thought of her dreams of marrying a handsome prince. Harold asks Shrek if he will join him for a morning hunt the next morning, while in reality planning on Puss In Boots finding them. Harold tells Shrek it would mean the world to Fiona for them to bond, and Shrek agrees to the outing as he had promised to try to get along better with Fiona's parents.</p>
<p>The next morning, Shrek and Donkey are lost in the woods. Puss In Boots jumps down and surprises them. Puss attacks Shrek, while Donkey tries to get him off Shrek. Shrek finally catches the cat and Donkey suggests that they "give him the Bob Barker treatment" (neuter him) with his own sword. Puss begs to be forgiven and he and Shrek become fast friends. Shrek remembers the card Fairy Godmother gave him. He, Puss, and Donkey use it to travel to her Potion Factory. Fairy Godmother tells Shrek ogres don't live Happily Ever After. Shrek, Donkey and Puss sneak into the Potion Containment Room, where they steal the Happily Ever After potion.</p>
<p>Back in the woods, Shrek and Donkey drink the potion and nothing happens. Shrek sniffs the potion and sneezes on a toadstool. Once it begins to rain, Shrek, Donkey and Puss head for a barn and stay there for the night, failing to notice that once the rain touches the toadstool, it turns into a rose. Inside the barn, Shrek and Donkey faint. Back in Far Far Away, Fiona is affected by the potion too and faints. The next morning, Shrek and Donkey wake up to realize they have changed. Shrek is a handsome human while Donkey is a noble white stallion. Shrek needs to find Fiona and kiss her before midnight to stay the way they are. Donkey and Puss steal the clothes from two noblemen for Shrek and the three head off to Far Far Away. Fiona wakes up and finds herself a human again. She screams so Shrek runs inside to find her. Fiona hears his voice and runs outside while Shrek runs into her room to find Fairy Godmother. Fiona finds Donkey as a horse, who tells her Shrek went inside looking for her. She runs into Charming, who tells her he is Shrek. Harold and Lilian wake up and go to Fiona. Harold realizes Fairy Godmother and Charming's plan. Fairy Godmother tricks Shrek into thinking that Fiona loves Charming and tells him to return to his swamp and let Fiona and Charming be together.</p>
<p>Shrek, Donkey and Puss head off to the Poison Apple and see Harold go into the back room with Charming and Godmother. Shrek, curious, take Donkey and Puss and listen in through the window. Fairy Godmother gives Harold a potion to make Fiona fall in love with the first man she kisses. Harold initially refuses, feeling guilty over manipulating his daughter's true happiness, however Fairy Godmother reminds him that she gave him his own Happily Ever After and threatens to take it away if he doesn't go through with the potion. Fairy Godmother then sees Shrek (after Donkey gives an angry outburst) and sends knights out after him.</p>
<p>That night, the royal ball begins, while celebrities, like Sleeping Beauty, begin to come. The fairy tale creatures, Gingy, Pinocchio, the Three Little Pigs, the Three Blind Mice, and Wolf, watch the royal ball coverage on the Magic Mirror in Shrek's house. A commercial comes on of KNIGHTS. The show shows knights capturing Shrek, Donkey and Puss. They are thrown into a paddy wagon. When Shrek reveals his name, Gingy pauses the clip, then rewinds it, then replays it. The fairy tale creatures find out about this, and head off to rescue Shrek, Donkey and Puss.</p>
<p>Meanwhile, King Harold slips the potion into a cup of tea for Fiona. After he finds her up in the castle, watching the ball, she says she wants her old Shrek back. She then reaches for a cup of tea, however he tells her to take the other one, as the one she was going to take was going to be for him.</p>
<p>Back in the dungeon of a far away jail, the fairy tale creatures save Shrek, Donkey, and Puss and create a giant gingerbread man named Mongo with help from the Muffin Man. They use the giant cookie to break into the ball. Fiona and Charming begin to dance at the ball, while Mongo begins to pull down the drawbridge, but the guards dump hot milk on him and his arms fall off of him. Shrek manages to get through the cracks of the drawbridge and lowers it. Shrek and Donkey charge into the ballroom and the fairy tale creatures begin to fight Fairy Godmother. Fiona realizes it's not Shrek she's dancing with. Fairy Godmother tells Charming to kiss Fiona to activate the potion. But once Charming is done kissing her, she knocks him out with a head butt, revealing that Harold gave her the wrong tea on purpose, after feeling guilty about his actions. Shrek and Fiona embrace one another, but Prince Charming gets the wand and tosses it to the Fairy Godmother and she proceeds to turn on Shrek, telling once again that ogres don't live happily ever after. She then sends a blast of magic out to kill Shrek. Harold uses his armor to deflect the spell which bounces off and hits her. Fairy Godmother disappears, with only her glasses and wand left. Harold is back to his true form, a frog. Shrek and Fiona are about to kiss, but Fiona tells Shrek she wants to live happily ever after, with the ogre she married. Shrek, Fiona and Donkey return to their true forms. Harold apologizes to Shrek and tells him that he only wanted Fiona to be happy. He gives the couple his blessing and goes to leave, however Queen Lilian tells him that she still loves him, even though he's a frog. That night, the gang dance into the night, having a big party.</p>
<p>After the party, Donkey is all alone, singing a song. Puss and two girls are about to head off to the "Kitt Katt Klub" when Dragon comes and tells Donkey that she has had babies. Donkey and Dragon are then proud parents of a litter of donkey-dragon dronkeys.</p>
<p><a name="Voice_cast" id="Voice_cast"></a></p>
<h2><span class="editsection">[<a href="/w/index.php?title=Shrek_2&amp;action=edit&amp;section=2" title="Edit section: Voice cast">edit</a>]</span> <span class="mw-headline">Voice cast</span></h2>
<ul>
<li><a href="/wiki/Shrek_%28character%29" title="Shrek (character)">Shrek</a> ... <a href="/wiki/Mike_Myers_%28actor%29" title="Mike Myers (actor)">Mike Myers (actor)</a></li>
<li><a href="/wiki/Donkey_%28Shrek%29" title="Donkey (Shrek)">Donkey</a> ... <a href="/wiki/Eddie_Murphy" title="Eddie Murphy">Eddie Murphy</a></li>
<li><a href="/wiki/Princess_Fiona" title="Princess Fiona">Princess Fiona</a> ... <a href="/wiki/Cameron_Diaz" title="Cameron Diaz">Cameron Diaz</a></li>
<li><a href="/wiki/Queen_Lillian" title="Queen Lillian">Queen Lillian</a> ... <a href="/wiki/Julie_Andrews" title="Julie Andrews">Julie Andrews</a></li>
<li><a href="/wiki/Puss_in_Boots_%28Shrek%29" title="Puss in Boots (Shrek)">Puss in Boots</a> ... <a href="/wiki/Antonio_Banderas" title="Antonio Banderas">Antonio Banderas</a></li>
<li><a href="/wiki/King_Harold_%28Shrek%29" title="King Harold (Shrek)">King Harold</a> ... <a href="/wiki/John_Cleese" title="John Cleese">John Cleese</a></li>
<li><a href="/wiki/Prince_Charming_%28Shrek%29" title="Prince Charming (Shrek)">Prince Charming</a> ... <a href="/wiki/Rupert_Everett" title="Rupert Everett">Rupert Everett</a></li>
<li><a href="/wiki/Fairy_Godmother_%28Shrek%29" title="Fairy Godmother (Shrek)">Fairy Godmother</a> ... <a href="/wiki/Jennifer_Saunders" title="Jennifer Saunders">Jennifer Saunders</a></li>
<li><a href="/wiki/List_of_fairy_tale_characters_in_Shrek#Doris_the_Ugly_Stepsister_.28Cinderella.29" title="List of fairy tale characters in Shrek">Doris</a> ... <a href="/wiki/Larry_King" title="Larry King">Larry King</a> (US)/<a href="/wiki/Jonathan_Ross" title="Jonathan Ross">Jonathan Ross</a> (UK)</li>
<li><a href="/wiki/Shrek_%28character%29" title="Shrek (character)">Shrek</a> ... <a href="/wiki/Jim_Cummings" title="Jim Cummings">Jim Cummings</a> (sometimes)</li>
<li>Guillaume Aretos ... Receptionist</li>
<li><a href="/wiki/Kelly_Asbury" title="Kelly Asbury">Kelly Asbury</a> ... <a href="/wiki/Page" title="Page">Page</a>/<a href="/wiki/Elf" title="Elf">Elf</a>/<a href="/wiki/Nobleman" title="Nobleman">Nobleman</a>/<a href="/wiki/Nobleman" title="Nobleman">Nobleman</a>'s <a href="/wiki/Son" title="Son">Son</a></li>
<li><a href="/wiki/Cody_Cameron" title="Cody Cameron">Cody Cameron</a> ... <a href="/wiki/Pinocchio" title="Pinocchio">Pinocchio</a>/ <a href="/wiki/Three_Little_Pigs" title="Three Little Pigs">Three Little Pigs</a></li>
<li><a href="/wiki/Conrad_Vernon" title="Conrad Vernon">Conrad Vernon</a> ... <a href="/wiki/Gingerbread_Man_%28Shrek%29" title="Gingerbread Man (Shrek)">Gingerbread Man</a>/<a href="/wiki/Cedric" title="Cedric">Cedric</a>/<a href="/wiki/Announcer" title="Announcer">Announcer</a>/<a href="/wiki/Muffin_Man" title="Muffin Man">Muffin Man</a>/<a href="/wiki/Mongo" title="Mongo">Mongo</a></li>
<li><a href="/wiki/Billy_Ray_Cyrus" title="Billy Ray Cyrus">Billy Ray Cyrus</a> ... Prince Shrek</li>
<li><a href="/wiki/Aron_Warner" title="Aron Warner">Aron Warner</a> ... <a href="/wiki/Big_Bad_Wolf_%28Shrek%29" title="Big Bad Wolf (Shrek)">Big Bad Wolf</a></li>
<li>Kelly Cooney ... Fast Food Clerk</li>
<li><a href="/wiki/Chris_Knights" title="Chris Knights">Chris Knights</a> ... <a href="/wiki/Three_Blind_Mice" title="Three Blind Mice">Three Blind Mice</a></li>
<li><a href="/wiki/Mark_Moseley" title="Mark Moseley">Mark Moseley</a> ... <a href="/wiki/Mirror" title="Mirror">Mirror</a>/<a href="/wiki/Dresser" title="Dresser">Dresser</a></li>
<li>Alina Phelan ... <a href="/wiki/Maiden" title="Maiden">Maiden</a> #1/Generic Female #2</li>
<li><a href="/wiki/Joan_Rivers" title="Joan Rivers">Joan Rivers</a>/<a href="/wiki/Kate_Thornton" title="Kate Thornton">Kate Thornton</a> (UK version only) ... Herself</li>
<li>Erika Thomas ... <a href="/wiki/Maiden" title="Maiden">Maiden</a> #2</li>
<li><a href="/wiki/Simon_Cowell" title="Simon Cowell">Simon Cowell</a> ... as himself (DVD version only)</li>
</ul>
<p><a name="Production" id="Production"></a></p>
<h2><span class="editsection">[<a href="/w/index.php?title=Shrek_2&amp;action=edit&amp;section=3" title="Edit section: Production">edit</a>]</span> <span class="mw-headline">Production</span></h2>
<p>Another unusual item was <a href="/wiki/Joan_Rivers" title="Joan Rivers">Joan Rivers</a>' cameo - this marked the first time that a real person had been represented on screen by the <i>Shrek</i> animation team. The DVD version of the film includes a second real-life cameo with an appearance by <a href="/wiki/Simon_Cowell" title="Simon Cowell">Simon Cowell</a> in the "Far Far Away Idol" bonus feature.</p>
<p><a name="Release" id="Release"></a></p>
<h2><span class="editsection">[<a href="/w/index.php?title=Shrek_2&amp;action=edit&amp;section=4" title="Edit section: Release">edit</a>]</span> <span class="mw-headline">Release</span></h2>
<p><i>Shrek 2</i> was originally going to release in June <a href="/wiki/2004" title="2004">2004</a>. A day before the movie went to theaters, the first five minutes were shown on <a href="/wiki/Nickelodeon_%28TV_channel%29" title="Nickelodeon (TV channel)">Nickelodeon</a>'s <i><a href="/wiki/U-Pick_Live" title="U-Pick Live">U-Pick Live</a></i>.</p>
<p>It was the first film with over 4,000 theaters in overall count; over 3,700 theaters was its count for an opening day. <i><a href="/wiki/Spider-Man_2" title="Spider-Man 2">Spider-Man 2</a></i> was the first film with over 4,000 theaters for an opening day and second for overall counts.</p>
<p>When the film was released on DVD on <a href="/wiki/November_5" title="November 5">November 5</a>, <a href="/wiki/2004" title="2004">2004</a>, it was the last <i><a href="/wiki/Shrek" title="Shrek">Shrek</a></i> film to be presented in its original ratio of <a href="/wiki/Aspect_ratio_%28image%29#16:9_standard" title="Aspect ratio (image)">1.85:1</a> on the <a href="/wiki/Region_1" title="Region 1">Region 1</a> <a href="/wiki/Anamorphic_widescreen" title="Anamorphic widescreen">anamorphic widescreen</a> DVD.</p>
<p><a name="TV_releases" id="TV_releases"></a></p>
<h2><span class="editsection">[<a href="/w/index.php?title=Shrek_2&amp;action=edit&amp;section=5" title="Edit section: TV releases">edit</a>]</span> <span class="mw-headline">TV releases</span></h2>
<ul>
<li>This film had its US network television premiere on <a href="/wiki/November_24" title="November 24">November 24</a>, <a href="/wiki/2006" title="2006">2006</a>, airing on <a href="/wiki/American_Broadcasting_Company" title="American Broadcasting Company">ABC</a> at 8 PM/7 PM ET/CT. It has yet to be aired on British terrestrial television.</li>
<li>The film aired for the first time on free to air television in <a href="/wiki/Australia" title="Australia">Australia</a> on <a href="/wiki/June_3" title="June 3">June 3</a>, <a href="/wiki/2007" title="2007">2007</a>. It was broadcast simultaneously on the <a href="/wiki/Nine_Network" title="Nine Network">Nine Network</a> and <a href="/wiki/WIN_Television" title="WIN Television">WIN Television</a> at 8:30PM AEST (Australian Eastern Standard Time).</li>
<li>The film appeared on FOX Latin America (Mexico, Colombia, Argentina, Venezuela, etc.) on <a href="/wiki/February_4" title="February 4">February 4</a>, <a href="/wiki/2007" title="2007">2007</a>, after intensive publicity since the TV broadcast of <a href="/wiki/Garfield_%28film%29" title="Garfield (film)">Garfield</a> on <a href="/wiki/December_31" title="December 31">December 31</a>, <a href="/wiki/2006" title="2006">2006</a></li>
<li>The film was aired on <a href="/wiki/TVN_%28Poland%29" title="TVN (Poland)">TVN</a> in <a href="/wiki/Poland" title="Poland">Poland</a> on <a href="/wiki/March_2" title="March 2">March 2</a>, <a href="/wiki/2007" title="2007">2007</a></li>
<li>The film was aired on <a href="/wiki/ProSieben" title="ProSieben">ProSieben</a> in <a href="/wiki/Germany" title="Germany">Germany</a> on <a href="/wiki/April_6" title="April 6">April 6</a>, <a href="/wiki/2007" title="2007">2007</a></li>
<li>The film was aired on <a href="/wiki/Canale_5" title="Canale 5">Canale 5</a> in <a href="/wiki/Italy" title="Italy">Italy</a> for the first time on <a href="/wiki/May_23" title="May 23">May 23</a>, <a href="/wiki/2007" title="2007">2007</a></li>
<li>The film was aired on <a href="/wiki/Kanal_5_%28Sweden%29" title="Kanal 5 (Sweden)">Kanal 5</a> in <a href="/wiki/Sweden" title="Sweden">Sweden</a> for the first time on <a href="/wiki/August_25" title="August 25">August 25</a>, <a href="/wiki/2007" title="2007">2007</a></li>
<li>Many people on different entertainment forums have predicted that <i>Shrek 2</i> will be the big BBC Christmas premiere this year on TV</li>
</ul>
<p><a name="Reaction" id="Reaction"></a></p>
<h2><span class="editsection">[<a href="/w/index.php?title=Shrek_2&amp;action=edit&amp;section=6" title="Edit section: Reaction">edit</a>]</span> <span class="mw-headline">Reaction</span></h2>
<p><a name="Box_office_performance" id="Box_office_performance"></a></p>
<h3><span class="editsection">[<a href="/w/index.php?title=Shrek_2&amp;action=edit&amp;section=7" title="Edit section: Box office performance">edit</a>]</span> <span class="mw-headline">Box office performance</span></h3>
<p><i>Shrek 2</i> spent a total of 21 weeks in theaters, closing on <a href="/wiki/November_25" title="November 25">November 25</a>, <a href="/wiki/2004" title="2004">2004</a>. It grossed about $440 million domestically (USA and Canada) and totaled just under 920 million <a href="/wiki/United_States_dollar" title="United States dollar">USD</a> worldwide. This puts the movie at third on the all-time domestic box-office list and <a href="/wiki/List_of_highest-grossing_films" title="List of highest-grossing films">ninth</a> on the worldwide box-office list. It was also the number one grossing movie of 2004. With DVD sales and <i>Shrek 2</i> merchandise are estimated to total almost $800 million USD, this is <a href="/wiki/DreamWorks" title="DreamWorks">DreamWorks</a> most profitable movie to date.</p>
<ul>
<li>Budget - $150,000,000<sup class="noprint Template-Fact"><span title="This claim needs references to reliable sources&#160;since September 2007" style="white-space: nowrap;">[<i><a href="/wiki/Wikipedia:Citation_needed" title="Wikipedia:Citation needed">citation needed</a></i>]</span></sup></li>
<li>Opening Weekend Gross (Domestic) - $108,037,878<sup class="noprint Template-Fact"><span title="This claim needs references to reliable sources&#160;since September 2007" style="white-space: nowrap;">[<i><a href="/wiki/Wikipedia:Citation_needed" title="Wikipedia:Citation needed">citation needed</a></i>]</span></sup></li>
<li>Total Domestic Grosses - $441,226,247<sup class="noprint Template-Fact"><span title="This claim needs references to reliable sources&#160;since September 2007" style="white-space: nowrap;">[<i><a href="/wiki/Wikipedia:Citation_needed" title="Wikipedia:Citation needed">citation needed</a></i>]</span></sup></li>
<li>Total Overseas Grosses - $478,612,511<sup class="noprint Template-Fact"><span title="This claim needs references to reliable sources&#160;since September 2007" style="white-space: nowrap;">[<i><a href="/wiki/Wikipedia:Citation_needed" title="Wikipedia:Citation needed">citation needed</a></i>]</span></sup></li>
<li>Total Worldwide Grosses - $919,838,758<sup class="noprint Template-Fact"><span title="This claim needs references to reliable sources&#160;since September 2007" style="white-space: nowrap;">[<i><a href="/wiki/Wikipedia:Citation_needed" title="Wikipedia:Citation needed">citation needed</a></i>]</span></sup></li>
</ul>
<p><a name="Critical_reception" id="Critical_reception"></a></p>
<h3><span class="editsection">[<a href="/w/index.php?title=Shrek_2&amp;action=edit&amp;section=8" title="Edit section: Critical reception">edit</a>]</span> <span class="mw-headline">Critical reception</span></h3>
<p>The film was well received by a number of critics, many rating it as good as or better than its predecessor. <a href="/wiki/Metacritic" title="Metacritic">Metacritic</a> has developed a weighted average rating of 73 out of 100 based on 39 professional reviews published in newspapers, magazines and in highly regarded Internet sites.<sup id="_ref-6" class="reference"><a href="#_note-6" title="">[7]</a></sup> Rotten Tomatoes gave <i>Shrek 2</i> an approval rating of 88%.</p>
<p><a name="Cultural_references" id="Cultural_references"></a></p>
<h2><span class="editsection">[<a href="/w/index.php?title=Shrek_2&amp;action=edit&amp;section=9" title="Edit section: Cultural references">edit</a>]</span> <span class="mw-headline">Cultural references</span></h2>
<p><a name="Places_and_names_in_Far_Far_Away" id="Places_and_names_in_Far_Far_Away"></a></p>
<h3><span class="editsection">[<a href="/w/index.php?title=Shrek_2&amp;action=edit&amp;section=10" title="Edit section: Places and names in Far Far Away">edit</a>]</span> <span class="mw-headline">Places and names in Far Far Away</span></h3>
<p>In order of appearance:</p>
<table class="wikitable">
<tr>
<td><b>Movie name</b></td>
<td><b>Real name</b></td>
</tr>
<tr>
<td>Far Far Away (The Entire Kingdom)</td>
<td><a href="/wiki/Hollywood" title="Hollywood">Hollywood</a></td>
</tr>
<tr>
<td><i>Pork Illustrated</i></td>
<td><i><a href="/wiki/Sports_Illustrated" title="Sports Illustrated">Sports Illustrated</a></i></td>
</tr>
<tr>
<td>Romeo Drive</td>
<td><a href="/wiki/Rodeo_Drive" title="Rodeo Drive">Rodeo Drive</a></td>
</tr>
<tr>
<td>Farbucks Towing</td>
<td><a href="/w/index.php?title=Starbucks_Towing&amp;action=edit" class="new" title="Starbucks Towing">Starbucks Towing</a></td>
</tr>
<tr>
<td>Farbucks Coffee</td>
<td><a href="/wiki/Starbucks_Coffee" title="Starbucks Coffee">Starbucks Coffee</a></td>
</tr>
<tr>
<td>Fi Fe Fo Schwarz</td>
<td><a href="/wiki/FAO_Schwarz" title="FAO Schwarz">FAO Schwarz</a></td>
</tr>
<tr>
<td>Burger Prince</td>
<td><a href="/wiki/Burger_King" title="Burger King">Burger King</a></td>
</tr>
<tr>
<td>Far Far Away Idol</td>
<td><a href="/wiki/American_Idol" title="American Idol">American Idol</a></td>
</tr>
<tr>
<td>Versarchery</td>
<td><a href="/wiki/Versace" title="Versace">Versace</a></td>
</tr>
<tr>
<td>Saxon Fifth Avenue</td>
<td><a href="/wiki/Saks_Fifth_Avenue" title="Saks Fifth Avenue">Saks Fifth Avenue</a></td>
</tr>
<tr>
<td>Old Knavery</td>
<td><a href="/wiki/Old_Navy" title="Old Navy">Old Navy</a></td>
</tr>
<tr>
<td>Old Knavery Kids</td>
<td><a href="/w/index.php?title=Old_Navy_Kids&amp;action=edit" class="new" title="Old Navy Kids">Old Navy Kids</a></td>
</tr>
<tr>
<td>Old Knavery Baby</td>
<td><a href="/w/index.php?title=Old_Navy_Baby&amp;action=edit" class="new" title="Old Navy Baby">Old Navy Baby</a></td>
</tr>
<tr>
<td>Old Knavery Outflt</td>
<td><a href="/w/index.php?title=Old_Navy_Outflt&amp;action=edit" class="new" title="Old Navy Outflt">Old Navy Outflt</a></td>
</tr>
<tr>
<td>Tower of London Records</td>
<td><a href="/wiki/London_Records" title="London Records">London Records</a> or <a href="/wiki/Tower_Records" title="Tower Records">Tower Records</a> or <a href="/wiki/The_Tower_of_London" title="The Tower of London">The Tower of London</a></td>
</tr>
<tr>
<td>Gap Queen</td>
<td><a href="/wiki/Gap_%28clothing_retailer%29" title="Gap (clothing retailer)">Gap (clothing retailer)</a> You Mine <a href="/w/index.php?title=Gap_Women&amp;action=edit" class="new" title="Gap Women">Gap Women</a></td>
</tr>
<tr>
<td>Gap King</td>
<td><a href="/w/index.php?title=Gap_Men&amp;action=edit" class="new" title="Gap Men">Gap Men</a>, <a href="/w/index.php?title=Gap_Kids&amp;action=edit" class="new" title="Gap Kids">Gap Kids</a>, <a href="/wiki/Baby_Gap" title="Baby Gap">Baby Gap</a>, <a href="/w/index.php?title=Gap_Outflt&amp;action=edit" class="new" title="Gap Outflt">Gap Outflt</a> &amp; <a href="/w/index.php?title=GUP&amp;action=edit" class="new" title="GUP">GUP</a></td>
</tr>
<tr>
<td>Banana Kingdom</td>
<td><a href="/wiki/Banana_Republic" title="Banana Republic">Banana Republic</a></td>
</tr>
<tr>
<td>Barneys Old York</td>
<td><a href="/wiki/Barneys_New_York" title="Barneys New York">Barneys New York</a></td>
</tr>
<tr>
<td>Abercrombie &amp; Witch</td>
<td><a href="/wiki/Abercrombie_%26_Fitch" title="Abercrombie &amp; Fitch">Abercrombie &amp; Fitch</a></td>
</tr>
<tr>
<td>Far Far Away Postal Service (FFAPS)</td>
<td><a href="/wiki/United_States_Postal_Service" title="United States Postal Service">United States Postal Service</a> (USPS)</td>
</tr>
<tr>
<td>Pewtery Barn</td>
<td><a href="/wiki/Pottery_Barn" title="Pottery Barn">Pottery Barn</a></td>
</tr>
<tr>
<td>Pewtery Barn Baby</td>
<td><a href="/w/index.php?title=Pottery_Barn_Baby&amp;action=edit" class="new" title="Pottery Barn Baby">Pottery Barn Baby</a></td>
</tr>
<tr>
<td>Pewtery Barn Kids</td>
<td><a href="/wiki/Pottery_Barn_Kids" title="Pottery Barn Kids">Pottery Barn Kids</a></td>
</tr>
<tr>
<td>Pewtery Barn Outflt</td>
<td><a href="/w/index.php?title=Pottery_Barn_Outflt&amp;action=edit" class="new" title="Pottery Barn Outflt">Pottery Barn Outflt</a></td>
</tr>
<tr>
<td>Friar's Fat Boy</td>
<td><a href="/wiki/Frisch%27s" title="Frisch's">Frisch's</a> <a href="/wiki/Big_Boy_%28restaurant%29" title="Big Boy (restaurant)">Big Boy (restaurant)</a></td>
</tr>
<tr>
<td>Baskin Robinhood</td>
<td><a href="/wiki/Baskin_Robbins" title="Baskin Robbins">Baskin Robbins</a></td>
</tr>
<tr>
<td>Armani Armoury <a href="/w/index.php?title=Armoury_Exchange&amp;action=edit" class="new" title="Armoury Exchange">Armoury Exchange</a></td>
<td><a href="/wiki/Armani_Exchange" title="Armani Exchange">Armani Exchange</a></td>
</tr>
<tr>
<td><i>Wheel of Torture</i></td>
<td><i><a href="/wiki/Wheel_of_Fortune" title="Wheel of Fortune">Wheel of Fortune</a></i></td>
</tr>
<tr>
<td><i>KNIGHTS</i></td>
<td><i><a href="/wiki/COPS" title="COPS">COPS</a></i></td>
</tr>
<tr>
<td>Ye Olde Foot Locker</td>
<td><a href="/wiki/Foot_Locker" title="Foot Locker">Foot Locker</a></td>
</tr>
<tr>
<td>Ye Olde Lady Foot Locker</td>
<td><a href="/wiki/Lady_Foot_Locker" title="Lady Foot Locker">Lady Foot Locker</a></td>
</tr>
<tr>
<td>Hooties</td>
<td><a href="/wiki/Hooters" title="Hooters">Hooters</a></td>
</tr>
<tr>
<td>Far Far Away Police Department (F.F.A.P.D.)</td>
<td><a href="/wiki/Los_Angeles_Police_Department" title="Los Angeles Police Department">Los Angeles Police Department</a> (L.A.P.D.)</td>
</tr>
<tr>
<td>Talbots Queen (The Exit Kingdom)</td>
<td><a href="/wiki/Talbots" title="Talbots">Talbots</a></td>
</tr>
</table>
<p><a name="Far_Far_Away_Idol_songs" id="Far_Far_Away_Idol_songs"></a></p>
<h3><span class="editsection">[<a href="/w/index.php?title=Shrek_2&amp;action=edit&amp;section=11" title="Edit section: Far Far Away Idol songs">edit</a>]</span> <span class="mw-headline"><i>Far Far Away Idol</i> songs</span></h3>
<p>At the end of the <i>Shrek 2</i> DVD, Shrek, Fiona, and <a href="/wiki/Simon_Cowell" title="Simon Cowell">Simon Cowell</a> (the main judge on both <i><a href="/wiki/Pop_Idol" title="Pop Idol">Pop Idol</a></i> and <i><a href="/wiki/American_Idol" title="American Idol">American Idol</a></i>) judge a <i>Pop Idol</i>-like contest called <i><a href="/w/index.php?title=Far_Far_Away_Idol&amp;action=edit" class="new" title="Far Far Away Idol">Far Far Away Idol</a></i>. Here were 10 numbers:</p>
<ul>
<li><a href="/wiki/Donkey" title="Donkey">Donkey</a> sings <a href="/wiki/The_Trammps" title="The Trammps">The Trammps</a>' "<a href="/wiki/Disco_Inferno_%28The_Trammps_album%29" title="Disco Inferno (The Trammps album)">Disco Inferno</a>", with his wife, a dragon from the first movie, blowing fire.</li>
<li><a href="/wiki/Pinocchio" title="Pinocchio">Pinocchio</a> sings <a href="/wiki/Styx_%28band%29" title="Styx (band)">Styx</a>'s "<a href="/wiki/Mr._Roboto" title="Mr. Roboto">Mr. Roboto</a>."</li>
<li><a href="/wiki/Doris" title="Doris">Doris</a>, <a href="/w/index.php?title=The_Ugly_Stepsister&amp;action=edit" class="new" title="The Ugly Stepsister">the Ugly Stepsister</a> (voiced by <a href="/wiki/Larry_King" title="Larry King">Larry King</a>) sings <a href="/wiki/Cyndi_Lauper" title="Cyndi Lauper">Cyndi Lauper</a>'s "<a href="/wiki/Girls_Just_Want_To_Have_Fun_%28single%29" title="Girls Just Want To Have Fun (single)">Girls Just Want To Have Fun</a>."</li>
<li><a href="/wiki/The_Big_Bad_Wolf" title="The Big Bad Wolf">The Big Bad Wolf</a> and the <a href="/wiki/Three_Little_Pigs" title="Three Little Pigs">Three Little Pigs</a> sing <a href="/wiki/Duran_Duran" title="Duran Duran">Duran Duran</a>'s "<a href="/wiki/Hungry_Like_the_Wolf" title="Hungry Like the Wolf">Hungry Like the Wolf</a>."</li>
<li><a href="/wiki/Prince_Charming" title="Prince Charming">Prince Charming</a> sings <a href="/wiki/Right_Said_Fred" title="Right Said Fred">Right Said Fred</a>'s "<a href="/wiki/I%27m_Too_Sexy" title="I'm Too Sexy">I'm Too Sexy</a>."</li>
<li><a href="/w/index.php?title=The_Three_Blind_Mice&amp;action=edit" class="new" title="The Three Blind Mice">The Three Blind Mice</a> sing <a href="/wiki/Johnny_Nash" title="Johnny Nash">Johnny Nash</a>'s "<a href="/wiki/I_Can_See_Clearly_Now" title="I Can See Clearly Now">I Can See Clearly Now</a>."</li>
<li><a href="/wiki/Gingerbread_Man" title="Gingerbread Man">Gingerbread Man</a> (also known as <a href="/wiki/Gingy" title="Gingy">Gingy</a>) &amp; <a href="/wiki/Tinkerbell" title="Tinkerbell">Tinkerbell</a> sings <a href="/wiki/The_Archies" title="The Archies">The Archies</a>' "<a href="/wiki/Sugar%2C_Sugar" title="Sugar, Sugar">Sugar, Sugar</a>."</li>
<li><a href="/wiki/Captain_Hook" title="Captain Hook">Captain Hook</a> sings <a href="/wiki/Blue_Swede" title="Blue Swede">Blue Swede</a>'s "<a href="/wiki/Hooked_on_a_Feeling" title="Hooked on a Feeling">Hooked on a Feeling</a>."</li>
<li><a href="/wiki/Puss_in_Boots" title="Puss in Boots">Puss in Boots</a> sings <a href="/wiki/Nancy_Sinatra" title="Nancy Sinatra">Nancy Sinatra</a>'s "<a href="/wiki/These_Boots_Are_Made_for_Walkin%27" title="These Boots Are Made for Walkin'">These Boots Are Made for Walkin'</a>."</li>
<li><a href="/w/index.php?title=Shrek_and_Fiona&amp;action=edit" class="new" title="Shrek and Fiona">Shrek and Fiona</a> sing <a href="/wiki/The_Romantics" title="The Romantics">The Romantics</a>' "<a href="/wiki/What_I_Like_About_You_%28song%29" title="What I Like About You (song)">What I Like About You</a>."</li>
</ul>
<p><a name="All_About_Fall_Tales" id="All_About_Fall_Tales"></a></p>
<h3><span class="editsection">[<a href="/w/index.php?title=Shrek_2&amp;action=edit&amp;section=12" title="Edit section: All About Fall Tales">edit</a>]</span> <span class="mw-headline">All About Fall Tales</span></h3>
<ul>
<li>If someone other than <a href="/wiki/Shrek" title="Shrek">Shrek</a> and <a href="/wiki/Fiona" title="Fiona">Fiona</a>, Donkey, or Puss in Boots wins, <a href="/wiki/Simon_Cowell" title="Simon Cowell">Simon Cowell</a> sings <a href="/wiki/Frank_Sinatra" title="Frank Sinatra">Frank Sinatra</a>'s "<a href="/wiki/My_Way_%28song%29" title="My Way (song)">My Way</a>".</li>
<li><a href="/w/index.php?title=Doris%2C_the_Ugly_Stepsister&amp;action=edit" class="new" title="Doris, the Ugly Stepsister">Doris, the Ugly Stepsister</a> won the online <i>Far Far Away Idol</i>.<sup id="_ref-7" class="reference"><a href="#_note-7" title="">[8]</a></sup></li>
</ul>
<p><a name="See_also" id="See_also"></a></p>
<h2><span class="editsection">[<a href="/w/index.php?title=Shrek_2&amp;action=edit&amp;section=13" title="Edit section: See also">edit</a>]</span> <span class="mw-headline">See also</span></h2>
<ul>
<li>The 2001 film <i><a href="/wiki/Shrek" title="Shrek">Shrek</a></i></li>
<li><i><a href="/wiki/Shrek_2:_The_Motion_Picture_Soundtrack" title="Shrek 2: The Motion Picture Soundtrack">Shrek 2: The Motion Picture Soundtrack</a></i></li>
<li>The 2007 film <i><a href="/wiki/Shrek_the_Third" title="Shrek the Third">Shrek the Third</a></i></li>
<li><a href="/wiki/List_of_animated_feature-length_films" title="List of animated feature-length films">List of animated feature-length films</a></li>
<li><a href="/wiki/List_of_computer-animated_films" title="List of computer-animated films">List of computer-animated films</a></li>
<li><i><a href="/wiki/Shrek_2_%28video_game%29" title="Shrek 2 (video game)">Shrek 2 (video game)</a></i></li>
<li><i><a href="/wiki/Shrek_Super_Slam" title="Shrek Super Slam">Shrek Super Slam</a></i> the video game</li>
</ul>
<p><a name="References" id="References"></a></p>
<h2><span class="editsection">[<a href="/w/index.php?title=Shrek_2&amp;action=edit&amp;section=14" title="Edit section: References">edit</a>]</span> <span class="mw-headline">References</span></h2>
<div class="references-small">
<ol class="references">
<li id="_note-0"><b><a href="#_ref-0" title="">^</a></b> <a href="http://www.smh.com.au/articles/2004/06/09/1086749775405.html" class="external free" title="http://www.smh.com.au/articles/2004/06/09/1086749775405.html" rel="nofollow">http://www.smh.com.au/articles/2004/06/09/1086749775405.html</a> <i>Smh.com.au</i> Retrieved on 06-05-07</li>
<li id="_note-1"><b><a href="#_ref-1" title="">^</a></b> <a href="http://www.the-numbers.com/movies/records/index.html#weekend" class="external free" title="http://www.the-numbers.com/movies/records/index.html#weekend" rel="nofollow">http://www.the-numbers.com/movies/records/index.html#weekend</a> <i>The-numbers.com</i> Retrieved on 06-05-07</li>
<li id="_note-2"><b><a href="#_ref-2" title="">^</a></b> <a href="http://www.the-numbers.com/movies/series/DigitalAnimation.php" class="external free" title="http://www.the-numbers.com/movies/series/DigitalAnimation.php" rel="nofollow">http://www.the-numbers.com/movies/series/DigitalAnimation.php</a> <i>The-numbers.com</i> Retrieved on 06-05-07</li>
<li id="_note-3"><b><a href="#_ref-3" title="">^</a></b> <a href="http://www.the-numbers.com/movies/records/index.html#alltime" class="external free" title="http://www.the-numbers.com/movies/records/index.html#alltime" rel="nofollow">http://www.the-numbers.com/movies/records/index.html#alltime</a> <i>The-numbers.com</i> Retrieved on 06-05-07</li>
<li id="_note-4"><b><a href="#_ref-4" title="">^</a></b> <a href="http://en.wikipedia.org/wiki/List_of_highest_grossing_films" class="external autonumber" title="http://en.wikipedia.org/wiki/List_of_highest_grossing_films" rel="nofollow">[1]</a> <i>The-numbers.com</i> Retrieved on 06-05-07</li>
<li id="_note-5"><b><a href="#_ref-5" title="">^</a></b> <a href="http://boxofficemojo.com/yearly/chart/?yr=2004&amp;p=.htm" class="external free" title="http://boxofficemojo.com/yearly/chart/?yr=2004&amp;p=.htm" rel="nofollow">http://boxofficemojo.com/yearly/chart/?yr=2004&amp;p=.htm</a> Coming on the heels of another extremely successful and popular movie, <i><a href="/wiki/Harry_Potter_and_the_Prisoner_of_Azkaban" title="Harry Potter and the Prisoner of Azkaban">Harry Potter and the Prisoner of Azkaban</a></i> based on the English novel by author <a href="/wiki/J.K._Rowling" title="J.K. Rowling">J.K. Rowling</a>. This was the third installment of the series movie-wise, and <a href="/wiki/DreamWorks" title="DreamWorks">DreamWorks</a> is hoping for the same success in their third installment of the movie.<i>Boxofficemojo.com</i> Retrieved on 06-05-07</li>
<li id="_note-6"><b><a href="#_ref-6" title="">^</a></b> <a href="http://www.metacritic.com/film/titles/shrek2/" class="external free" title="http://www.metacritic.com/film/titles/shrek2/" rel="nofollow">http://www.metacritic.com/film/titles/shrek2/</a> <i>Metacritic.com</i> Retrieved on 06-05-07</li>
<li id="_note-7"><b><a href="#_ref-7" title="">^</a></b> <a href="http://shrek2-themovie-lime.dreamworks.com/ffai/main.html" class="external text" title="http://shrek2-themovie-lime.dreamworks.com/ffai/main.html" rel="nofollow"><i>Shrek 2</i> ~ Far, Far Away Idol</a></li>
</ol>
</div>
<p><a name="External_links" id="External_links"></a></p>
<h2><span class="editsection">[<a href="/w/index.php?title=Shrek_2&amp;action=edit&amp;section=15" title="Edit section: External links">edit</a>]</span> <span class="mw-headline">External links</span></h2>
<div class="infobox sisterproject">
<div class="floatleft"><span><a href="/wiki/Image:Wikiquote-logo-en.svg" class="image" title="Wikiquote-logo-en.svg"><img alt="" src="http://upload.wikimedia.org/wikipedia/commons/thumb/d/d6/Wikiquote-logo-en.svg/49px-Wikiquote-logo-en.svg.png" width="49" height="49" border="0" /></a></span></div>
<div style="margin-left: 60px;"><a href="/wiki/Wikiquote" title="Wikiquote">Wikiquote</a> has a collection of quotations related to:
<div style="margin-left: 10px;"><i><b><a href="http://en.wikiquote.org/wiki/Special:Search/Shrek_2" class="extiw" title="wikiquote:Special:Search/Shrek_2">Shrek 2</a></b></i></div>
</div>
</div>
<ul>
<li><a href="http://www.shrek2-themovie.com/" class="external text" title="http://www.shrek2-themovie.com/" rel="nofollow">Official website</a></li>
<li><a href="http://www.imdb.com/title/tt0298148/" class="external text" title="http://www.imdb.com/title/tt0298148/" rel="nofollow"><i>Shrek 2</i></a> at the <a href="/wiki/Internet_Movie_Database" title="Internet Movie Database">Internet Movie Database</a></li>
<li><a href="http://www.rottentomatoes.com/m/shrek_2/" class="external text" title="http://www.rottentomatoes.com/m/shrek_2/" rel="nofollow"><i>Shrek 2</i></a> at <a href="/wiki/Rotten_Tomatoes" title="Rotten Tomatoes">Rotten Tomatoes</a></li>
<li><a href="http://www.metacritic.com/film/titles/shrek2" class="external text" title="http://www.metacritic.com/film/titles/shrek2" rel="nofollow"><i>Shrek 2</i></a> at <a href="/wiki/Metacritic" title="Metacritic">Metacritic</a></li>
</ul>
<ul>
<li><a href="http://www.allmovie.com/cg/avg.dll?p=avg&amp;sql=1:286672" class="external text" title="http://www.allmovie.com/cg/avg.dll?p=avg&amp;sql=1:286672" rel="nofollow"><i>Shrek 2</i> All Movie Guide entry</a></li>
<li><a href="http://www.boxofficemojo.com/movies/?id=shrek2.htm" class="external text" title="http://www.boxofficemojo.com/movies/?id=shrek2.htm" rel="nofollow"><i>Shrek 2</i></a> at <a href="/wiki/Box_Office_Mojo" title="Box Office Mojo">Box Office Mojo</a></li>
</ul>
<table class="wikitable" style="margin:0.5em auto; font-size:95%;clear:both;">
<tr style="text-align:center;">
<td width="30%" align="center" rowspan="1">Preceded&#160;by<br />
<b><a href="/wiki/Shrek" title="Shrek">Shrek</a> (2001)</b></td>
<td width="40%" style="text-align: center;" rowspan="1"><i><b><strong class="selflink">Shrek 2</strong></b></i><br />
2004</td>
<td width="30%" align="center" rowspan="1">Succeeded&#160;by<br />
<b><a href="/wiki/Shrek_the_Third" title="Shrek the Third">Shrek the Third</a> (2007)</b></td>
</tr>
</table>
<p><br /></p>
<table class="wikitable" style="margin:0.5em auto; font-size:95%;clear:both;">
<tr style="text-align:center;">
<td width="30%" align="center" rowspan="1">Preceded&#160;by<br />
<i><b><a href="/wiki/Troy_%28film%29" title="Troy (film)">Troy</a></b></i></td>
<td width="40%" style="text-align: center;" rowspan="1"><b><a href="/wiki/Box_office_number-one_films_of_2004_%28USA%29" title="Box office number-one films of 2004 (USA)">Box office number-one films of 2004 (USA)</a></b><br />
May 23 - May 30, 2004</td>
<td width="30%" align="center" rowspan="1">Succeeded&#160;by<br />
<i><b><a href="/wiki/Harry_Potter_and_the_Prisoner_of_Azkaban_%28film%29" title="Harry Potter and the Prisoner of Azkaban (film)">Harry Potter and the Prisoner of Azkaban</a></b></i></td>
</tr>
</table>
<table class="navbox collapsible autocollapse nowraplinks" style="margin:auto; background:white;background:white;">
<tr>
<th colspan="2" style="text-align:center;width:100%;background: #DEDDE2;">
<div style="float:left; width:6em; text-align:left;">
<div class="noprint plainlinksneverexpand" style="background-color:transparent; padding:0; white-space:nowrap; font-weight:normal; font-size:xx-small; background: #DEDDE2;;border:none;;"><a href="/wiki/Template:Shrek" title="Template:Shrek"><span title="View this template" style="background: #DEDDE2;;border:none;;">v</span></a>&#160;<span style="font-size:80%;">•</span>&#160;<a href="/wiki/Template_talk:Shrek" title="Template talk:Shrek"><span style="color:#002bb8;background: #DEDDE2;;border:none;;" title="Discussion about this template">d</span></a>&#160;<span style="font-size:80%;">•</span>&#160;<a href="http://en.wikipedia.org/w/index.php?title=Template:Shrek&amp;action=edit" class="external text" title="http://en.wikipedia.org/w/index.php?title=Template:Shrek&amp;action=edit" rel="nofollow"><span style="color:#002bb8;background: #DEDDE2;;border:none;;" title="You can edit this template. Please use the preview button before saving.">e</span></a></div>
</div>
<span style="font-size:110%;"><i><a href="/wiki/Shrek_%28series%29" title="Shrek (series)">Shrek</a></i></span></th>
</tr>
<tr>
<th style="white-space:nowrap;background:#ddddff;text-align:right;background: #DEDDE2;">Book</th>
<td colspan="1" style="text-align:left;width:100%;font-size:95%;"><a href="/wiki/Shrek%21" title="Shrek!"><i>Shrek!</i> (book)</a> • <a href="/wiki/William_Steig" title="William Steig">William Steig (author)</a></td>
</tr>
<tr>
<th style="white-space:nowrap;background:#ddddff;text-align:right;background: #DEDDE2;"><a href="/wiki/Shrek_%28series%29" title="Shrek (series)">Films</a></th>
<td colspan="1" style="text-align:left;width:100%;font-size:95%;background:#f7f7f7;"><i><a href="/wiki/Shrek" title="Shrek">Shrek</a></i> (2001) • <i><strong class="selflink">Shrek 2</strong></i> (2004) • <i><a href="/wiki/Shrek_the_Third" title="Shrek the Third">Shrek the Third</a></i> (2007) • <i><a href="/wiki/Shrek_Goes_Fourth" title="Shrek Goes Fourth">Shrek Goes Fourth</a></i> (2010) • <i><a href="/wiki/Shrek_5" title="Shrek 5">Shrek 5</a></i> (2013)</td>
</tr>
<tr>
<th style="white-space:nowrap;background:#ddddff;text-align:right;background: #DEDDE2;">Spin-offs</th>
<td colspan="1" style="text-align:left;width:100%;font-size:95%;"><i><a href="/wiki/Shrek_4-D" title="Shrek 4-D">Shrek 4-D</a></i> (2003) • <i><a href="/wiki/Shrek_the_Halls" title="Shrek the Halls">Shrek the Halls</a></i> (2007) • <i><a href="/wiki/Puss_in_Boots:_The_Story_of_an_Ogre_Killer" title="Puss in Boots: The Story of an Ogre Killer">Puss in Boots: The Story of an Ogre Killer</a></i> (2011)</td>
</tr>
<tr>
<th style="white-space:nowrap;background:#ddddff;text-align:right;background: #DEDDE2;">Official characters</th>
<td colspan="1" style="text-align:left;width:100%;font-size:95%;background:#f7f7f7;"><a href="/wiki/Shrek_%28character%29" title="Shrek (character)">Shrek</a> • <a href="/wiki/Princess_Fiona" title="Princess Fiona">Princess Fiona</a> • <a href="/wiki/Donkey_%28Shrek%29" title="Donkey (Shrek)">Donkey</a> • <a href="/wiki/Puss_in_Boots_%28Shrek%29" title="Puss in Boots (Shrek)">Puss in Boots</a></td>
</tr>
<tr>
<th style="white-space:nowrap;background:#ddddff;text-align:right;background: #DEDDE2;"><a href="/wiki/List_of_fairy_tale_characters_in_Shrek" title="List of fairy tale characters in Shrek">Fairy tale characters</a></th>
<td colspan="1" style="text-align:left;width:100%;font-size:95%;"><a href="/wiki/Arthur_Pendragon_%28Shrek%29" title="Arthur Pendragon (Shrek)">Arthur Pendragon</a> • <a href="/wiki/Lord_Farquaad" title="Lord Farquaad">Lord Farquaad</a> • <a href="/wiki/Fairy_Godmother_%28Shrek%29" title="Fairy Godmother (Shrek)">Fairy Godmother</a> • <a href="/wiki/Prince_Charming_%28Shrek%29" title="Prince Charming (Shrek)">Prince Charming</a> • <a href="/wiki/Dragon_%28Shrek%29" title="Dragon (Shrek)">Dragon</a> • <a href="/wiki/Dronkeys" title="Dronkeys">Dronkeys</a> • <a href="/wiki/Gingerbread_Man_%28Shrek%29" title="Gingerbread Man (Shrek)">Gingerbread Man</a> • <a href="/wiki/Big_Bad_Wolf_%28Shrek%29" title="Big Bad Wolf (Shrek)">Big Bad Wolf</a> • <a href="/wiki/Pinocchio_%28Shrek%29" title="Pinocchio (Shrek)">Pinocchio</a> • <a href="/wiki/Queen_Lillian" title="Queen Lillian">Queen Lillian</a> • <a href="/wiki/King_Harold_%28Shrek%29" title="King Harold (Shrek)">King Harold</a> • <a href="/wiki/Merlin_%28Shrek%29" title="Merlin (Shrek)">Merlin</a> • <a href="/wiki/List_of_Princess_Fiona%27s_friends" title="List of Princess Fiona's friends">List of Princess Fiona's friends</a> • <a href="/wiki/Peter_Pan" title="Peter Pan">Peter Pan</a> • <a href="/w/index.php?title=Mabel_%28Shrek%29&amp;action=edit" class="new" title="Mabel (Shrek)">Mabel</a> • <a href="/w/index.php?title=Doris_%28Shrek%29&amp;action=edit" class="new" title="Doris (Shrek)">Doris The Ugly Stepsister</a></td>
</tr>
<tr>
<th style="white-space:nowrap;background:#ddddff;text-align:right;background: #DEDDE2;">Music</th>
<td colspan="1" style="text-align:left;width:100%;font-size:95%;background:#f7f7f7;">Shrek (<a href="/wiki/Shrek:_Music_from_the_Original_Motion_Picture" title="Shrek: Music from the Original Motion Picture">soundtrack</a>/<a href="/wiki/Shrek:_Original_Motion_Picture_Score" title="Shrek: Original Motion Picture Score">score</a>) • Shrek 2 (<a href="/wiki/Shrek_2:_The_Motion_Picture_Soundtrack" title="Shrek 2: The Motion Picture Soundtrack">soundtrack</a>/<a href="/wiki/Shrek_2:_Original_Motion_Picture_Score" title="Shrek 2: Original Motion Picture Score">score</a>) • Shrek the Third (<a href="/wiki/Shrek_the_Third:_The_Motion_Picture_Soundtrack" title="Shrek the Third: The Motion Picture Soundtrack">soundtrack</a>/<a href="/wiki/Shrek_the_Third:_Original_Motion_Picture_Score" title="Shrek the Third: Original Motion Picture Score">score</a>)</td>
</tr>
<tr>
<th style="white-space:nowrap;background:#ddddff;text-align:right;background: #DEDDE2;"><a href="/wiki/Shrek_video_games" title="Shrek video games">Video games</a></th>
<td colspan="1" style="text-align:left;width:100%;font-size:95%;"><i><a href="/wiki/Shrek_%28video_game%29" title="Shrek (video game)">Shrek</a></i> • <i><a href="/w/index.php?title=Shrek:_Fairy_Tale_Freakdown&amp;action=edit" class="new" title="Shrek: Fairy Tale Freakdown">Shrek: Fairy Tale Freakdown</a></i> • <i><a href="/wiki/Shrek_2_%28video_game%29" title="Shrek 2 (video game)">Shrek 2</a></i> • <i><a href="/w/index.php?title=Shrek:_Swamp_Kart_Speedway&amp;action=edit" class="new" title="Shrek: Swamp Kart Speedway">Shrek: Swamp Kart Speedway</a></i> • <i><a href="/wiki/Shrek_Smash_and_Crash" title="Shrek Smash and Crash">Shrek Smash and Crash</a></i> • <i><a href="/wiki/Shrek:_Hassle_at_the_Castle" title="Shrek: Hassle at the Castle">Shrek: Hassle at the Castle</a></i> • <i><a href="/wiki/Shrek_Super_Slam" title="Shrek Super Slam">Shrek Super Slam</a></i> • <i><a href="/wiki/Shrek:_Extra_Large" title="Shrek: Extra Large">Shrek: Extra Large</a></i> • <i><a href="/wiki/Shrek:_Super_Party" title="Shrek: Super Party">Shrek: Super Party</a></i> • <i><a href="/w/index.php?title=Shrek:_Reekin%27_Havoc&amp;action=edit" class="new" title="Shrek: Reekin' Havoc">Shrek: Reekin' Havoc</a></i> • <i><a href="/w/index.php?title=Shrek_2:_Beg_for_Mercy%21&amp;action=edit" class="new" title="Shrek 2: Beg for Mercy!">Shrek 2: Beg for Mercy!</a></i> • <i><a href="/wiki/Shrek_the_Third_%28video_game%29" title="Shrek the Third (video game)">Shrek the Third</a></i> • <i><a href="/w/index.php?title=Shrek:_Ogres_and_Dronkeys&amp;action=edit" class="new" title="Shrek: Ogres and Dronkeys">Shrek: Ogres and Dronkeys</a></i> • <i><a href="/wiki/Shrek_N%27_Roll" title="Shrek N' Roll">Shrek N' Roll</a></i></td>
</tr>
<tr>
<th style="white-space:nowrap;background:#ddddff;text-align:right;background: #DEDDE2;">Other</th>
<td colspan="1" style="text-align:left;width:100%;font-size:95%;background:#f7f7f7;"><a href="/wiki/Far_Far_Away" title="Far Far Away">Far Far Away</a></td>
</tr>
</table>
<table class="navbox collapsible autocollapse nowraplinks" style="margin:auto; background:white;background:white;">
<tr>
<th colspan="2" style="text-align:center;width:100%;">
<div style="float:left; width:6em; text-align:left;">
<div class="noprint plainlinksneverexpand" style="background-color:transparent; padding:0; white-space:nowrap; font-weight:normal; font-size:xx-small;&#160;;border:none;;"><a href="/wiki/Template:DreamWorks_animated_films" title="Template:DreamWorks animated films"><span title="View this template" style=";border:none;;">v</span></a>&#160;<span style="font-size:80%;">•</span>&#160;<a href="/wiki/Template_talk:DreamWorks_animated_films" title="Template talk:DreamWorks animated films"><span style="color:#002bb8;;border:none;;" title="Discussion about this template">d</span></a>&#160;<span style="font-size:80%;">•</span>&#160;<a href="http://en.wikipedia.org/w/index.php?title=Template:DreamWorks_animated_films&amp;action=edit" class="external text" title="http://en.wikipedia.org/w/index.php?title=Template:DreamWorks_animated_films&amp;action=edit" rel="nofollow"><span style="color:#002bb8;;border:none;;" title="You can edit this template. Please use the preview button before saving.">e</span></a></div>
</div>
<span style="font-size:110%;"><a href="/wiki/DreamWorks_Animation" title="DreamWorks Animation">DreamWorks Animation</a></span></th>
</tr>
<tr>
<th style="white-space:nowrap;background:#ddddff;text-align:right;">Traditionally animated films</th>
<td colspan="1" style="text-align:left;width:100%;font-size:95%;"><span style="white-space:nowrap"><i><a href="/wiki/The_Prince_of_Egypt" title="The Prince of Egypt">The Prince of Egypt</a></i> (1998) •</span> <span style="white-space:nowrap"><i><a href="/wiki/The_Road_to_El_Dorado" title="The Road to El Dorado">The Road to El Dorado</a></i> (2000) •</span> <span style="white-space:nowrap"><i><a href="/wiki/Spirit:_Stallion_of_the_Cimarron" title="Spirit: Stallion of the Cimarron">Spirit: Stallion of the Cimarron</a></i> (2002) •</span> <span style="white-space:nowrap"><i><a href="/wiki/Sinbad:_Legend_of_the_Seven_Seas" title="Sinbad: Legend of the Seven Seas">Sinbad: Legend of the Seven Seas</a></i> (2003)</span></td>
</tr>
<tr>
<th style="white-space:nowrap;background:#ddddff;text-align:right;">Films produced with<br />
<a href="/wiki/Aardman_Animations" title="Aardman Animations">Aardman Animations</a></th>
<td colspan="1" style="text-align:left;width:100%;font-size:95%;background:#f7f7f7;"><span style="white-space:nowrap"><i><a href="/wiki/Chicken_Run" title="Chicken Run">Chicken Run</a></i> (2000) •</span> <span style="white-space:nowrap"><i><a href="/wiki/Wallace_%26_Gromit:_The_Curse_of_the_Were-Rabbit" title="Wallace &amp; Gromit: The Curse of the Were-Rabbit">Wallace &amp; Gromit: The Curse of the Were-Rabbit</a></i> (2005) •</span> <span style="white-space:nowrap"><i><a href="/wiki/Flushed_Away" title="Flushed Away">Flushed Away</a></i> (2006) •</span> <span style="white-space:nowrap"><i><a href="/wiki/Crood_Awakening" title="Crood Awakening">Crood Awakening</a></i> (2010)</span></td>
</tr>
<tr>
<th style="white-space:nowrap;background:#ddddff;text-align:right;">Computer-animated films</th>
<td colspan="1" style="text-align:left;width:100%;font-size:95%;"><span style="white-space:nowrap"><i><a href="/wiki/Antz" title="Antz">Antz</a></i> (1998) •</span> <span style="white-space:nowrap"><i><a href="/wiki/Shrek" title="Shrek">Shrek</a></i> (2001) •</span> <span style="white-space:nowrap"><i><strong class="selflink">Shrek 2</strong></i> (2004) •</span> <span style="white-space:nowrap"><i><a href="/wiki/Shark_Tale" title="Shark Tale">Shark Tale</a></i> (2004) •</span> <span style="white-space:nowrap"><i><a href="/wiki/Madagascar_%28film%29" title="Madagascar (film)">Madagascar</a></i> (2005) •</span> <span style="white-space:nowrap"><i><a href="/wiki/Over_the_Hedge_%28film%29" title="Over the Hedge (film)">Over the Hedge</a></i> (2006) •</span> <span style="white-space:nowrap"><i><a href="/wiki/Shrek_the_Third" title="Shrek the Third">Shrek the Third</a></i> (2007) •</span> <span style="white-space:nowrap"><i><a href="/wiki/Bee_Movie" title="Bee Movie">Bee Movie</a></i> (2007)</span></td>
</tr>
<tr>
<th style="white-space:nowrap;background:#ddddff;text-align:right;">Future films</th>
<td colspan="1" style="text-align:left;width:100%;font-size:95%;background:#f7f7f7;"><span style="white-space:nowrap"><i><a href="/wiki/Kung_Fu_Panda" title="Kung Fu Panda">Kung Fu Panda</a></i> (2008) •</span> <span style="white-space:nowrap"><i><a href="/wiki/Madagascar_2:_The_Crate_Escape" title="Madagascar 2: The Crate Escape">Madagascar 2: The Crate Escape</a></i> (2008) •</span> <span style="white-space:nowrap"><i><a href="/wiki/Monsters_vs._Aliens" title="Monsters vs. Aliens">Monsters vs. Aliens</a></i> (2009) •</span> <span style="white-space:nowrap"><i><a href="/wiki/How_to_Train_Your_Dragon" title="How to Train Your Dragon">How to Train Your Dragon</a></i> (2009) •</span> <span style="white-space:nowrap"><i><a href="/wiki/Shrek_4" title="Shrek 4">Shrek Goes Fourth</a></i> (2010) •</span> <span style="white-space:nowrap"><i><a href="/wiki/Master_Mind" title="Master Mind">Master Mind</a></i> (2010) •</span> <span style="white-space:nowrap"><i><a href="/wiki/Puss_in_Boots:_The_Story_of_an_Ogre_Killer" title="Puss in Boots: The Story of an Ogre Killer">Puss in Boots: The Story of an Ogre Killer</a></i> (2011) •</span> <span style="white-space:nowrap"><i><a href="/wiki/Shrek_film_series#Shrek_5" title="Shrek film series">Shrek 5</a></i> (2013)</span></td>
</tr>
<tr>
<th style="white-space:nowrap;background:#ddddff;text-align:right;">Direct-to-video</th>
<td colspan="1" style="text-align:left;width:100%;font-size:95%;"><span style="white-space:nowrap"><i><a href="/wiki/Joseph:_King_of_Dreams" title="Joseph: King of Dreams">Joseph: King of Dreams</a></i> (2000)</span></td>
</tr>
<tr>
<th style="white-space:nowrap;background:#ddddff;text-align:right;">Shorts</th>
<td colspan="1" style="text-align:left;width:100%;font-size:95%;background:#f7f7f7;"><span style="white-space:nowrap"><i><a href="/wiki/Far_Far_Away" title="Far Far Away">Far Far Away</a></i> (2004) •</span> <span style="white-space:nowrap"><i><a href="/wiki/The_Madagascar_Penguins_in_a_Christmas_Caper" title="The Madagascar Penguins in a Christmas Caper">The Madagascar Penguins in a Christmas Caper</a></i> (2005) •</span> <span style="white-space:nowrap"><i><a href="/wiki/Hammy%27s_Boomerang_Adventure" title="Hammy's Boomerang Adventure">Hammy's Boomerang Adventure</a></i> (2006) •</span> <span style="white-space:nowrap"><i><a href="/wiki/First_Flight_%28film%29" title="First Flight (film)">First Flight</a></i> (2006)</span></td>
</tr>
</table>

<!-- 
Pre-expand include size: 68238 bytes
Post-expand include size: 60008 bytes
Template argument size: 34077 bytes
Maximum: 2048000 bytes
-->

<!-- Saved in parser cache with key enwiki:pcache:idhash:525314-0!1!0!default!!en!2 and timestamp 20071124120429 -->
<div class="printfooter">
Retrieved from "<a href="http://en.wikipedia.org/wiki/Shrek_2">http://en.wikipedia.org/wiki/Shrek_2</a>"</div>
			<div id="catlinks"><p class='catlinks'><a href="/wiki/Special:Categories" title="Special:Categories">Categories</a>: <span dir='ltr'><a href="/wiki/Category:All_articles_with_unsourced_statements" title="Category:All articles with unsourced statements">All articles with unsourced statements</a></span> | <span dir='ltr'><a href="/wiki/Category:Articles_with_unsourced_statements_since_September_2007" title="Category:Articles with unsourced statements since September 2007">Articles with unsourced statements since September 2007</a></span> | <span dir='ltr'><a href="/wiki/Category:Wikipedia_articles_with_plot_summary_needing_attention" title="Category:Wikipedia articles with plot summary needing attention">Wikipedia articles with plot summary needing attention</a></span> | <span dir='ltr'><a href="/wiki/Category:Computer-animated_films" title="Category:Computer-animated films">Computer-animated films</a></span> | <span dir='ltr'><a href="/wiki/Category:2004_films" title="Category:2004 films">2004 films</a></span> | <span dir='ltr'><a href="/wiki/Category:Fantasy-comedy_films" title="Category:Fantasy-comedy films">Fantasy-comedy films</a></span> | <span dir='ltr'><a href="/wiki/Category:Children%27s_fantasy_films" title="Category:Children's fantasy films">Children's fantasy films</a></span> | <span dir='ltr'><a href="/wiki/Category:Films_directed_by_Andrew_Adamson" title="Category:Films directed by Andrew Adamson">Films directed by Andrew Adamson</a></span> | <span dir='ltr'><a href="/wiki/Category:DreamWorks_Animation_films" title="Category:DreamWorks Animation films">DreamWorks Animation films</a></span> | <span dir='ltr'><a href="/wiki/Category:Sequel_films" title="Category:Sequel films">Sequel films</a></span> | <span dir='ltr'><a href="/wiki/Category:Shrek" title="Category:Shrek">Shrek</a></span> | <span dir='ltr'><a href="/wiki/Category:DreamWorks_films" title="Category:DreamWorks films">DreamWorks films</a></span></p></div>			<!-- end content -->
			<div class="visualClear"></div>
		</div>
	</div>
		</div>
		<div id="column-one">
	<div id="p-cactions" class="portlet">
		<h5>Views</h5>
		<div class="pBody">
			<ul>
					 <li id="ca-nstab-main" class="selected"><a href="/wiki/Shrek_2" title="View the content page [c]" accesskey="c">Article</a></li>
					 <li id="ca-talk"><a href="/wiki/Talk:Shrek_2" title="Discussion about the content page [t]" accesskey="t">Discussion</a></li>
					 <li id="ca-edit"><a href="/w/index.php?title=Shrek_2&amp;action=edit" title="You can edit this page. Please use the preview button before saving. [e]" accesskey="e">Edit this page</a></li>
					 <li id="ca-history"><a href="/w/index.php?title=Shrek_2&amp;action=history" title="Past versions of this page [h]" accesskey="h">History</a></li>
				</ul>
		</div>
	</div>
	<div class="portlet" id="p-personal">
		<h5>Personal tools</h5>
		<div class="pBody">
			<ul>
				<li id="pt-login"><a href="/w/index.php?title=Special:Userlogin&amp;returnto=Shrek_2" title="You are encouraged to log in, it is not mandatory however. [o]" accesskey="o">Sign in / create account</a></li>
			</ul>
		</div>
	</div>
	<div class="portlet" id="p-logo">
		<a style="background-image: url(/images/wiki-en.png);" href="/wiki/Main_Page" title="Visit the Main Page [z]" accesskey="z"></a>
	</div>
	<script type="text/javascript"> if (window.isMSIE55) fixalpha(); </script>
		<div class='portlet' id='p-navigation'>
		<h5>Navigation</h5>
		<div class='pBody'>
			<ul>
				<li id="n-Main-page"><a href="/wiki/Main_Page" title="Visit the main page [z]" accesskey="z">Main page</a></li>
				<li id="n-Contents"><a href="/wiki/Wikipedia:Contents" title="Guides to browsing Wikipedia">Contents</a></li>
				<li id="n-Featured-content"><a href="/wiki/Wikipedia:Featured_content" title="Featured content — the best of Wikipedia">Featured content</a></li>
				<li id="n-currentevents"><a href="/wiki/Portal:Current_events" title="Find background information on current events">Current events</a></li>
				<li id="n-randompage"><a href="/wiki/Special:Random" title="Load a random page [x]" accesskey="x">Random article</a></li>
			</ul>
		</div>
	</div>
		<div class='portlet' id='p-interaction'>
		<h5>interaction</h5>
		<div class='pBody'>
			<ul>
				<li id="n-About-Wikipedia"><a href="/wiki/Wikipedia:About" title="Find out about Wikipedia">About Wikipedia</a></li>
				<li id="n-portal"><a href="/wiki/Wikipedia:Community_Portal" title="About the project, what you can do, where to find things">Community portal</a></li>
				<li id="n-recentchanges"><a href="/wiki/Special:Recentchanges" title="The list of recent changes in the wiki [r]" accesskey="r">Recent changes</a></li>
				<li id="n-contact"><a href="/wiki/Wikipedia:Contact_us" title="How to contact Wikipedia">Contact Wikipedia</a></li>
				<li id="n-sitesupport"><a href="http://wikimediafoundation.org/wiki/Donate" title="Support us">Donate to Wikipedia</a></li>
				<li id="n-help"><a href="/wiki/Help:Contents" title="Guidance on how to use and edit Wikipedia">Help</a></li>
			</ul>
		</div>
	</div>
		<div id="p-search" class="portlet">
		<h5><label for="searchInput">Search</label></h5>
		<div id="searchBody" class="pBody">
			<form action="/wiki/Special:Search" id="searchform"><div>
				<input id="searchInput" name="search" type="text" title="Search Wikipedia [f]" accesskey="f" value="" />
				<input type='submit' name="go" class="searchButton" id="searchGoButton"	value="Go" title="Go to a page with this exact name if exists" />&nbsp;
				<input type='submit' name="fulltext" class="searchButton" id="mw-searchButton" value="Search" title="Search the pages for this text" />
			</div></form>
		</div>
	</div>
	<div class="portlet" id="p-tb">
		<h5>Toolbox</h5>
		<div class="pBody">
			<ul>
				<li id="t-whatlinkshere"><a href="/wiki/Special:Whatlinkshere/Shrek_2" title="List of all wiki pages that link here [j]" accesskey="j">What links here</a></li>
				<li id="t-recentchangeslinked"><a href="/wiki/Special:Recentchangeslinked/Shrek_2" title="Recent changes in pages linked from this page [k]" accesskey="k">Related changes</a></li>
<li id="t-upload"><a href="/wiki/Wikipedia:Upload" title="Upload images or media files [u]" accesskey="u">Upload file</a></li>
<li id="t-specialpages"><a href="/wiki/Special:Specialpages" title="List of all special pages [q]" accesskey="q">Special pages</a></li>
				<li id="t-print"><a href="/w/index.php?title=Shrek_2&amp;printable=yes" title="Printable version of this page [p]" accesskey="p">Printable version</a></li>				<li id="t-permalink"><a href="/w/index.php?title=Shrek_2&amp;oldid=173438503" title="Permanent link to this version of the page">Permanent link</a></li><li id="t-cite"><a href="/w/index.php?title=Special:Cite&amp;page=Shrek_2&amp;id=173438503">Cite this article</a></li>			</ul>
		</div>
	</div>
	<div id="p-lang" class="portlet">
		<h5>Languages</h5>
		<div class="pBody">
			<ul>
				<li class="interwiki-de"><a href="http://de.wikipedia.org/wiki/Shrek_2_%E2%80%93_Der_tollk%C3%BChne_Held_kehrt_zur%C3%BCck">Deutsch</a></li>
				<li class="interwiki-es"><a href="http://es.wikipedia.org/wiki/Shrek_2">Español</a></li>
				<li class="interwiki-fa"><a href="http://fa.wikipedia.org/wiki/%D8%B4%D8%B1%DA%A9_%DB%B2">فارسی</a></li>
				<li class="interwiki-fr"><a href="http://fr.wikipedia.org/wiki/Shrek_2">Français</a></li>
				<li class="interwiki-gl"><a href="http://gl.wikipedia.org/wiki/Shrek_2">Galego</a></li>
				<li class="interwiki-hr"><a href="http://hr.wikipedia.org/wiki/Shrek_2">Hrvatski</a></li>
				<li class="interwiki-it"><a href="http://it.wikipedia.org/wiki/Shrek_2">Italiano</a></li>
				<li class="interwiki-he"><a href="http://he.wikipedia.org/wiki/%D7%A9%D7%A8%D7%A7_2">עברית</a></li>
				<li class="interwiki-hu"><a href="http://hu.wikipedia.org/wiki/Shrek_2.">Magyar</a></li>
				<li class="interwiki-nl"><a href="http://nl.wikipedia.org/wiki/Shrek_2">Nederlands</a></li>
				<li class="interwiki-ja"><a href="http://ja.wikipedia.org/wiki/%E3%82%B7%E3%83%A5%E3%83%AC%E3%83%83%E3%82%AF2">日本語</a></li>
				<li class="interwiki-no"><a href="http://no.wikipedia.org/wiki/Shrek_2">‪Norsk (bokmål)‬</a></li>
				<li class="interwiki-pl"><a href="http://pl.wikipedia.org/wiki/Shrek_2">Polski</a></li>
				<li class="interwiki-pt"><a href="http://pt.wikipedia.org/wiki/Shrek_2">Português</a></li>
				<li class="interwiki-ru"><a href="http://ru.wikipedia.org/wiki/%D0%A8%D1%80%D0%B5%D0%BA_2_%28%D0%BC%D1%83%D0%BB%D1%8C%D1%82%D1%84%D0%B8%D0%BB%D1%8C%D0%BC%29">Русский</a></li>
				<li class="interwiki-sq"><a href="http://sq.wikipedia.org/wiki/Shrek_2">Shqip</a></li>
				<li class="interwiki-fi"><a href="http://fi.wikipedia.org/wiki/Shrek_2">Suomi</a></li>
				<li class="interwiki-sv"><a href="http://sv.wikipedia.org/wiki/Shrek_2">Svenska</a></li>
				<li class="interwiki-tr"><a href="http://tr.wikipedia.org/wiki/%C5%9Erek_2_%28film%29">Türkçe</a></li>
				<li class="interwiki-zh"><a href="http://zh.wikipedia.org/wiki/%E5%8F%B2%E7%91%9E%E5%85%8B2">中文</a></li>
			</ul>
		</div>
	</div>
		</div><!-- end of the left (by default at least) column -->
			<div class="visualClear"></div>
			<div id="footer">
				<div id="f-poweredbyico"><a href="http://www.mediawiki.org/"><img src="/skins-1.5/common/images/poweredby_mediawiki_88x31.png" alt="Powered by MediaWiki" /></a></div>
				<div id="f-copyrightico"><a href="http://wikimediafoundation.org/"><img src="/images/wikimedia-button.png" border="0" alt="Wikimedia Foundation"/></a></div>
			<ul id="f-list">
				<li id="lastmod"> This page was last modified 08:41, 24 November 2007.</li>
				<li id="copyright">All text is available under the terms of the <a class='internal' href="/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License" title="Wikipedia:Text of the GNU Free Documentation License">GNU Free Documentation License</a>. (See <b><a class='internal' href="/wiki/Wikipedia:Copyrights" title="Wikipedia:Copyrights">Copyrights</a></b> for details.) <br /> Wikipedia&reg; is a registered trademark of the <a href="http://www.wikimediafoundation.org">Wikimedia Foundation, Inc</a>., a U.S. registered <a class='internal' href="/wiki/501%28c%29#501.28c.29.283.29" title="501(c)(3)">501(c)(3)</a> <a href="http://wikimediafoundation.org/wiki/Deductibility_of_donations">tax-deductible</a> <a class='internal' href="/wiki/Non-profit_organization" title="Non-profit organization">nonprofit</a> <a href="/wiki/Charitable_organization" title="Charitable organization">charity</a>.<br /></li>
				<li id="privacy"><a href="http://wikimediafoundation.org/wiki/Privacy_policy" title="wikimedia:Privacy policy">Privacy policy</a></li>
				<li id="about"><a href="/wiki/Wikipedia:About" title="Wikipedia:About">About Wikipedia</a></li>
				<li id="disclaimer"><a href="/wiki/Wikipedia:General_disclaimer" title="Wikipedia:General disclaimer">Disclaimers</a></li>
			</ul>
		</div>
		
	
		<script type="text/javascript">if (window.runOnloadHook) runOnloadHook();</script>
</div>
<!-- Served by srv139 in 0.071 secs. --></body></html>
